#ifndef PIMBARMAC_H_SEEN
#define PIMBARMAC_H_SEEN

#include "pimenubargen.h"

class PIMenubarMac : public PIMenubarGen {
 public:
	            PIMenubarMac(PIApplicationGen* par, char* nom);
	           ~PIMenubarMac();
	           
  virtual void      AppendMenu(PIMenu *pdm);
  virtual void      RemoveMenu(PIMenu *pdm);
  virtual void      SetSensitivity(PIMenu *pdm, bool sens=true);
  virtual bool      IsSensitive(PIMenu *pdm);

};

typedef PIMenubarMac   PIMenubar;

#endif
